#!/bin/sh
which gpg-agent >& /dev/null && gpgexit="1" || gpgexit="0"
which ssh-agent >& /dev/null && sshexit="1" || sshexit="0"

if [ ! -f "$HOME/.gnupg/gpg-agent.conf" ] ; then
	echo "pinentry-program /usr/bin/pinentry-qt "> $HOME/.gnupg/gpg-agent.conf
	echo "no-grab" >> $HOME/.gnupg/gpg-agent.conf
	echo "default-cache-ttl 1800" >> $HOME/.gnupg/gpg-agent.conf
fi
		
if [ $gpgexit -eq 1 ] ; then
		echo "Start gpg-agent"
		gpg-agent --daemon | head -2 > $HOME/.gpg-server; source $HOME/.gpg-server
		echo "End start gpg-agent"
fi	

if [ $sshexit -eq 1 ] && [ -z $SSH_AGENT_PID ] ; then
		echo "Start ssh-agent"
		ssh-agent | head -2 > $HOME/.ssh-server; source $HOME/.ssh-server
		export SSH_AGENT_KDESTARTED=1
		echo "End start ssh-agent"
fi	
